## puppetdb 4.4.1

=== debian/changelog ===
puppetdb (4.4.1-1) unstable; urgency=medium

  * Initial release (Closes: #673515)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sat, 05 Aug 2017 18:44:07 -0400

=== debian/control ===
Source: puppetdb
Section: admin
Priority: optional
Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
Build-Depends: debhelper (>= 10),
               default-jdk-headless,
               dh-exec,
               dh-systemd (>= 1.5),
               glassfish-javaee,
               javahelper,
               libactivemq-java (>= 5.13.2),
               libasm-java,
               libbidi-clojure (>= 2.0.12),
               libcheshire-clojure (>= 5.7.1),
               libclj-digest-clojure (>= 1.4.3),
               libclj-http-clojure (>= 2.0.1),
               libclj-stacktrace-clojure (>= 0.2.6),
               libclj-time-clojure (>= 0.11.0),
               libpantomime-clojure (>= 2.1.0),
               libspecter-clojure (>= 0.5.7),
               libcommons-compress-java (>= 1.10),
               libcommons-lang3-java (>= 3.4),
               libcommons-logging-java,
               libcompojure-clojure (>= 1.5.0),
               libcore-async-clojure (>= 0.2.374),
               libcore-match-clojure,
               libcore-memoize-clojure (>= 0.5.9),
               libdata-priority-map-clojure,
               libfast-zip-visit-clojure (>= 1.0.2),
               libgeronimo-jms-1.1-spec-java,
               libhikaricp-java (>= 2.4.3),
               libhoneysql-clojure (>= 0.6.3),
               libinstaparse-clojure (>= 1.4.1),
               libjava-jdbc-clojure (>= 0.6.1),
               libjava-jmx-clojure,
               libmath-combinatorics-clojure (>= 0.1.1),
               libmath-numeric-tower-clojure (>= 0.0.4),
               libmetrics-clojure (>= 2.6.1),
               libat-at-clojure (>= 1.2.0),
               libpostgresql-jdbc-java (>= 9.4.1208),
               libprismatic-schema-clojure (>= 1.1.2),
               libcomidi-clojure (>= 0.3.1),
               libdujour-version-check-clojure (>= 0.1.3),
               libpuppetlabs-http-client-clojure (>= 0.5.0),
               libpuppetlabs-i18n-clojure,
               libkitchensink-clojure (>= 1.3.1),
               libstockpile-clojure (>= 0.0.3),
               libtrapperkeeper-clojure,
               libtrapperkeeper-metrics-clojure,
               libtrapperkeeper-status-clojure,
               libtrapperkeeper-webserver-jetty9-clojure,
               libraynes-fs-clojure (>= 1.4.6),
               libring-core-clojure (>= 1.5.0),
               librobert-hooke-clojure (>= 1.3.0),
               libslf4j-java (>= 1.7.14),
               libslingshot-clojure (>= 0.12.2),
               libtools-logging-clojure,
               libtools-macro-clojure (>= 0.1.5),
               libtools-namespace-clojure (>= 0.2.5),
               libversioneer-clojure
Standards-Version: 4.0.0
Homepage: https://github.com/puppetlabs/puppetdb
Vcs-Git: https://anonscm.debian.org/pkg-puppet/puppetdb.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-puppet/puppetdb.git

Package: puppetdb
Architecture: all
Depends: adduser,
         dbconfig-pgsql | dbconfig-no-thanks,
         default-jre-headless,
         lsb-base (>= 3.0-6),
         ucf,
         ${java:Depends},
         ${misc:Depends}
Recommends: ${java:Recommends}
Suggests: postgresql, postgresql-contrib, ${java:Suggests}
Description: Puppet data warehouse
 PuppetDB collects data generated by Puppet. It enables advanced Puppet
 features like exported resources, and can be the foundation for other
 applications that use Puppet’s data.
 .
 This package contains the PuppetDB server itself.

Package: puppetdb-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Puppet data warehouse - documentation
 PuppetDB collects data generated by Puppet. It enables advanced Puppet
 features like exported resources, and can be the foundation for other
 applications that use Puppet’s data.
 .
 This package contains PuppetDB's usage and API documentation.

Package: puppet-terminus-puppetdb
Architecture: all
Depends: puppet (>= 4.0.0~), ${misc:Depends}
Enhances: puppet
Description: Puppet data warehouse -- Puppet master terminus
 PuppetDB collects data generated by Puppet. It enables advanced Puppet
 features like exported resources, and can be the foundation for other
 applications that use Puppet’s data.
 .
 This package contains an add-on that allows a Puppet master to use PuppetDB
 for storing and retrieving facts, catalogs and resources.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

PRODUCED_JAR=puppetdb.jar
export CLASSPATH=/usr/share/java/clojure.jar:/usr/share/java/activemq-broker.jar:/usr/share/java/activemq-client.jar:/usr/share/java/activemq-kahadb-store.jar:/usr/share/java/bidi.jar:/usr/share/java/cheshire.jar:/usr/share/java/clj-digest.jar:/usr/share/java/clj-http.jar:/usr/share/java/clj-stacktrace.jar:/usr/share/java/clj-time.jar:/usr/share/java/commons-compress.jar:/usr/share/java/commons-lang3.jar:/usr/share/java/pantomime.jar:/usr/share/java/compojure.jar:/usr/share/java/specter.jar:/usr/share/java/core.async.jar:/usr/share/java/core.match.jar:/usr/share/java/core.memoize.jar:/usr/share/java/fast-zip-visit.jar:/usr/share/java/HikariCP.jar:/usr/share/java/honeysql.jar:/usr/share/java/hooke.jar:/usr/share/java/instaparse.jar:/usr/share/java/java.jdbc.jar:/usr/share/java/math.combinatorics.jar:/usr/share/java/math.numeric-tower.jar:/usr/share/java/metrics-clojure.jar:/usr/share/java/at-at.jar:/usr/share/java/postgresql.jar:/usr/share/java/prismatic-schema.jar:/usr/share/java/puppetlabs-comidi.jar:/usr/share/java/dujour-version-check.jar:/usr/share/java/puppetlabs-http-client.jar:/usr/share/java/puppetlabs-i18n.jar:/usr/share/java/kitchensink.jar:/usr/share/java/stockpile.jar:/usr/share/java/trapperkeeper.jar:/usr/share/java/trapperkeeper-metrics.jar:/usr/share/java/trapperkeeper-status.jar:/usr/share/java/trapperkeeper-webserver-jetty9.jar:/usr/share/java/raynes-fs.jar:/usr/share/java/ring-core.jar:/usr/share/java/slf4j-api.jar:/usr/share/java/slingshot.jar:/usr/share/java/tools.logging.jar:/usr/share/java/tools.macro.jar:/usr/share/java/tools.namespace.jar:/usr/share/java/versioneer.jar:/usr/share/java/data.priority-map.jar:/usr/share/java/asm-all.jar:/usr/share/java/java.jmx.jar:/usr/share/java/geronimo-jms_1.1_spec.jar:/usr/share/java/glassfish-javaee.jar:/usr/share/java/commons-logging.jar

MAVEN_INF=$(CURDIR)/debian/META-INF/maven/puppetlabs/puppetdb
LEIN_INF=$(CURDIR)/debian/META-INF/leiningen/puppetlabs/puppetdb

%:
	dh $@ --with=javahelper

override_dh_clean:
	dh_clean
	rm -f $(CURDIR)/$(PRODUCED_JAR)
	rm -rf $(CURDIR)/debian/META-INF

override_jh_build:
	jar cf $(PRODUCED_JAR) -C src .
	jar uf $(PRODUCED_JAR) -C resources public
	jar uf $(PRODUCED_JAR) -C resources puppetlabs
	jar uf $(PRODUCED_JAR) -C resources/puppetlabs/puppetdb bootstrap.cfg
	mkdir -p $(MAVEN_INF) $(LEIN_INF)
	cp debian/pom.xml $(MAVEN_INF)
	sed -e 's/@VERSION@/$(DEB_VERSION_UPSTREAM)/' debian/pom.properties > $(MAVEN_INF)/pom.properties
	cp project.clj $(LEIN_INF)
	jar uf $(PRODUCED_JAR) -C debian META-INF

override_jh_classpath:
	jh_classpath $(PRODUCED_JAR)

override_dh_install:
	dh_install
	rm $(CURDIR)/debian/puppetdb/etc/puppetdb/conf.d/database.ini
	find $(CURDIR)/debian/puppetdb/etc/puppetdb -type f -exec \
	  sed -i -e 's#/etc/puppetlabs/#/etc/#g' \
		 -e 's#/var/log/puppetlabs/#/var/log/#' \
		 -e 's#/opt/puppetlabs/server/data/puppetdb#/var/lib/puppetdb#g' \
		 {} \;

.PHONY: override_dh_auto_build override_dh_auto_install

=== debian/tests/control ===
Tests: standalone
Depends: postgresql-contrib, puppetdb, curl, jq
Restrictions: needs-root

## puppetdb 5.0.1

=== debian/changelog ===
puppetdb (5.0.1-1puppetlabs1) trusty; urgency=low

  * Update to version 5.0.1-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Mon, 26 Jun 2017 15:22:24 -0700

## puppetdb 5.1.0

=== debian/changelog ===
puppetdb (5.1.0-1puppetlabs1) jessie; urgency=low

  * Update to version 5.1.0-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Tue, 12 Sep 2017 09:42:50 -0700

## puppetdb 5.1.1

=== Makefile ===
prefix = /usr/local
datadir = $(prefix)/share
confdir = /etc
rubylibdir = $(shell ruby -rrbconfig -e "puts RbConfig::CONFIG['sitelibdir']")
rundir = /var/run
bindir = /usr/bin

install-puppetdb:
	install -d -m 0755 "$(DESTDIR)$(datadir)/puppetdb"
	install -m 0644 puppetdb.jar "$(DESTDIR)$(datadir)/puppetdb"
	install -m 0774 ext/ezbake-functions.sh "$(DESTDIR)$(datadir)/puppetdb"
	install -m 0644 ext/ezbake.manifest "$(DESTDIR)$(datadir)/puppetdb"
	install -d -m 0755 "$(DESTDIR)$(confdir)/puppetlabs/puppetdb/conf.d"
	install -m 0644 ext/config/bootstrap.cfg "$(DESTDIR)$(confdir)/puppetlabs/puppetdb/bootstrap.cfg"
	install -m 0644 ext/config/conf.d/config.ini "$(DESTDIR)$(confdir)/puppetlabs/puppetdb/conf.d/config.ini"
	install -m 0644 ext/config/conf.d/database.ini "$(DESTDIR)$(confdir)/puppetlabs/puppetdb/conf.d/database.ini"
	install -m 0644 ext/config/conf.d/jetty.ini "$(DESTDIR)$(confdir)/puppetlabs/puppetdb/conf.d/jetty.ini"
	install -m 0644 ext/config/conf.d/repl.ini "$(DESTDIR)$(confdir)/puppetlabs/puppetdb/conf.d/repl.ini"
	install -m 0644 ext/config/logback.xml "$(DESTDIR)$(confdir)/puppetlabs/puppetdb/logback.xml"
	install -m 0644 ext/config/request-logging.xml "$(DESTDIR)$(confdir)/puppetlabs/puppetdb/request-logging.xml"
	install -d -m 0755 "$(DESTDIR)$(datadir)/puppetdb/cli"
	install -d -m 0755 "$(DESTDIR)$(datadir)/puppetdb/cli/apps"
	install -d -m 0755 "$(DESTDIR)$(bindir)"
	install -m 0755 "ext/bin/puppetdb" "$(DESTDIR)$(bindir)/puppetdb"
	install -m 0755 ext/cli/foreground "$(DESTDIR)$(datadir)/puppetdb/cli/apps/foreground"
	install -m 0755 ext/cli/reload "$(DESTDIR)$(datadir)/puppetdb/cli/apps/reload"
	install -m 0755 ext/cli/stop "$(DESTDIR)$(datadir)/puppetdb/cli/apps/stop"
	install -m 0755 ext/cli/start "$(DESTDIR)$(datadir)/puppetdb/cli/apps/start"
	install -m 0755 ext/cli/anonymize "$(DESTDIR)$(datadir)/puppetdb/cli/apps/anonymize"
	install -m 0755 ext/cli/config-migration "$(DESTDIR)$(datadir)/puppetdb/cli/apps/config-migration"
	install -m 0755 ext/cli/foreground "$(DESTDIR)$(datadir)/puppetdb/cli/apps/foreground"
	install -m 0755 ext/cli/ssl-setup "$(DESTDIR)$(datadir)/puppetdb/cli/apps/ssl-setup"
	install -d -m 0755 "$(DESTDIR)$(rundir)"


install-puppetdb-termini:
	install -Dm 0644 puppet/face/node/deactivate.rb "$(DESTDIR)$(rubylibdir)/puppet/face/node/deactivate.rb"
	install -Dm 0644 puppet/face/node/status.rb "$(DESTDIR)$(rubylibdir)/puppet/face/node/status.rb"
	install -Dm 0644 puppet/functions/puppetdb_query.rb "$(DESTDIR)$(rubylibdir)/puppet/functions/puppetdb_query.rb"
	install -Dm 0644 puppet/indirector/catalog/puppetdb.rb "$(DESTDIR)$(rubylibdir)/puppet/indirector/catalog/puppetdb.rb"
	install -Dm 0644 puppet/indirector/facts/puppetdb.rb "$(DESTDIR)$(rubylibdir)/puppet/indirector/facts/puppetdb.rb"
	install -Dm 0644 puppet/indirector/facts/puppetdb_apply.rb "$(DESTDIR)$(rubylibdir)/puppet/indirector/facts/puppetdb_apply.rb"
	install -Dm 0644 puppet/indirector/node/puppetdb.rb "$(DESTDIR)$(rubylibdir)/puppet/indirector/node/puppetdb.rb"
	install -Dm 0644 puppet/indirector/resource/puppetdb.rb "$(DESTDIR)$(rubylibdir)/puppet/indirector/resource/puppetdb.rb"
	install -Dm 0644 puppet/reports/puppetdb.rb "$(DESTDIR)$(rubylibdir)/puppet/reports/puppetdb.rb"
	install -Dm 0644 puppet/util/puppetdb.rb "$(DESTDIR)$(rubylibdir)/puppet/util/puppetdb.rb"
	install -Dm 0644 puppet/util/puppetdb/atom.rb "$(DESTDIR)$(rubylibdir)/puppet/util/puppetdb/atom.rb"
	install -Dm 0644 puppet/util/puppetdb/char_encoding.rb "$(DESTDIR)$(rubylibdir)/puppet/util/puppetdb/char_encoding.rb"
	install -Dm 0644 puppet/util/puppetdb/command.rb "$(DESTDIR)$(rubylibdir)/puppet/util/puppetdb/command.rb"
	install -Dm 0644 puppet/util/puppetdb/command_names.rb "$(DESTDIR)$(rubylibdir)/puppet/util/puppetdb/command_names.rb"
	install -Dm 0644 puppet/util/puppetdb/config.rb "$(DESTDIR)$(rubylibdir)/puppet/util/puppetdb/config.rb"
	install -Dm 0644 puppet/util/puppetdb/http.rb "$(DESTDIR)$(rubylibdir)/puppet/util/puppetdb/http.rb"

install-rpm-sysv-init: install-rpm-preinst
	install -d -m 0755 "$(DESTDIR)$(initdir)"
	install -m 0755 ext/redhat/init "$(DESTDIR)$(initdir)/puppetdb"
	install -d -m 0755 "$(DESTDIR)$(defaultsdir)"
	install -m 0644 ext/default "$(DESTDIR)$(defaultsdir)/puppetdb"
	install -d -m 0755 "$(DESTDIR)$(rundir)"

install-rpm-systemd: install-rpm-preinst
	install -d -m 0755 "$(DESTDIR)$(defaultsdir)"
	install -m 0644 ext/default "$(DESTDIR)$(defaultsdir)/puppetdb"
	install -d -m 0755 "$(DESTDIR)$(unitdir)"
	install -m 0755 ext/puppetdb.service "$(DESTDIR)$(unitdir)/puppetdb.service"

install-rpm-preinst:
	if rpm -q puppetdb | grep ^puppetdb-2.* > /dev/null && [ $1 -eq 2 ] ; then tar -czf /tmp/puppetdb-upgrade-config-files.tgz -C /etc/puppetdb/conf.d config.ini database.ini jetty.ini ; fi

install-deb-sysv-init: install-deb-preinst
	install -d -m 0755 "$(DESTDIR)$(initdir)"
	install -m 0755 ext/debian/puppetdb.init "$(DESTDIR)$(initdir)/puppetdb"
	install -d -m 0755 "$(DESTDIR)$(defaultsdir)"
	install -m 0644 ext/default "$(DESTDIR)$(defaultsdir)/puppetdb"
	install -d -m 0755 "$(DESTDIR)$(rundir)"

install-deb-preinst:
	if [ $1 = 'upgrade' ] && [ ${2%%.*} -le 2 ] ; then tar -czf /tmp/puppetdb-upgrade-config-files.tgz -C /etc/puppetdb/conf.d config.ini database.ini jetty.ini ; fi

=== debian/changelog ===
puppetdb (5.1.1-1puppetlabs1) stretch; urgency=low

  * Update to version 5.1.1-1puppetlabs1

 -- Puppet Labs Release <info@puppetlabs.com>  Fri, 29 Sep 2017 14:42:05 -0700

=== debian/control ===
Source: puppetdb
Section: utils
Priority: optional
Maintainer: Puppet Labs <info@puppetlabs.com>
Build-Depends: debhelper (>= 7.0.0~), cdbs, bc, mawk, lsb-release, ruby | ruby-interpreter
Standards-Version: 3.9.1
Homepage: http://puppetlabs.com

Package: puppetdb
Architecture: all
# net-tools is required for netstat usage in service unit file
# See: https://tickets.puppetlabs.com/browse/SERVER-338
# procps is required for pgrep, used in several of the init scripts
Depends: ${misc:Depends}, openjdk-8-jre-headless, net-tools, adduser, procps, puppet-agent (>= 4.99.0)
Replaces: 
Conflicts: 
Description: Puppet Labs puppetdb
 Contains: Puppet-integrated catalog and fact storage (puppetlabs/puppetdb 5.1.1,org.clojure/clojure 1.8.0,puppetlabs/puppetdb 5.1.1)

Package: puppetdb-termini
Architecture: all
Depends: ${misc:Depends}, puppet-agent
Provides: puppetdb-terminus
Replaces: puppetdb-terminus
Conflicts: puppetdb-terminus
Description: Termini for puppetdb
 Contains terminus for:
  puppetdb (version 5.1.1)

## puppetdb 6.2.0

=== docker/Makefile ===
git_describe = $(shell git describe)
vcs_ref := $(shell git rev-parse HEAD)
build_date := $(shell date -u +%FT%T)
hadolint_available := $(shell hadolint --help > /dev/null 2>&1; echo $$?)
hadolint_command := hadolint --ignore DL3008 --ignore DL3018 --ignore DL4000 --ignore DL4001
hadolint_container := hadolint/hadolint:latest
ifeq ($(IS_NIGHTLY),true)
	dockerfile := Dockerfile.nightly
	version := puppet6-nightly
else
	version = $(shell echo $(git_describe) | sed 's/-.*//')
	dockerfile := Dockerfile
endif


prep:
ifneq ($(IS_NIGHTLY),true)
	@git fetch --unshallow ||:
	@git fetch origin 'refs/tags/*:refs/tags/*'
endif

lint:
ifeq ($(hadolint_available),0)
	@$(hadolint_command) puppetdb/$(dockerfile)
else
	@docker pull $(hadolint_container)
	@docker run --rm -v $(PWD)/puppetdb/$(dockerfile):/Dockerfile -i $(hadolint_container) $(hadolint_command) Dockerfile
endif

build: prep
	@docker build --pull --build-arg vcs_ref=$(vcs_ref) --build-arg build_date=$(build_date) --build-arg version=$(version) --file puppetdb/$(dockerfile) --tag puppet/puppetdb:$(version) ..
ifeq ($(IS_LATEST),true)
	@docker tag puppet/puppetdb:$(version) puppet/puppetdb:latest
endif

test: prep
	@bundle install --path .bundle/gems
	@PUPPET_TEST_DOCKER_IMAGE=puppet/puppetdb:$(version) bundle exec rspec puppetdb/spec

publish: prep
	@docker push puppet/puppetdb:$(version)
ifeq ($(IS_LATEST),true)
	@docker push puppet/puppetdb:latest
endif

.PHONY: lint build test publish

=== debian/changelog ===
puppetdb (6.2.0-3) unstable; urgency=medium

  * Drop B-D on activemq; support removed upstream

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 20 Feb 2019 08:42:16 +0200

puppetdb (6.2.0-2) unstable; urgency=medium

  * autopkgtests: fix race condition in puppet test
  * autopkgtests: check status in a more robust manner

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 08 Feb 2019 22:56:57 +0200

puppetdb (6.2.0-1) unstable; urgency=medium

  * New upstream release
  * Drop patches merged upstream:
     - 0001-Do-not-use-pooled-ActiveMQ-connections.patch
     - 0001-PDB-3993-Don-t-lookup-namespaces-to-compute-cli-subc.patch
     - honeysql-0.7-compat.patch
  * systemd: use the new puppetdb service entrypoint
  * Add puppet integration DEP-8 test
  * database.ini: drop obsolete log-slow-statements option

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 08 Feb 2019 12:43:03 +0200

puppetdb (4.4.1-3) unstable; urgency=medium

  * Fix startup issues with JRE 11/Clojure 1.9 (Closes: #878193)
    + Backport upstream change to not lookup namespaces to compute cli
      subcommands; modify to not expose the (non-working in Debian) benchmark
      commands
    * (B-)Depend on libgeronimo-j2ee-management-1.1-spec-java and add the jar
      to the classpath
  * Bump Standards-Version to 4.3.0; no changes needed
  * d/copyright: bump debian/ years
  * Bump dh compat to 11; no changes needed
  * Drop the logrotate config, rotation is handled by logback (Closes:
    #881584)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 08 Feb 2019 01:02:24 +0200

puppetdb (4.4.1-2) unstable; urgency=medium

  * puppetdb.service: expand $JAVA_ARGS
  * Drop B-D on glassfish-javaee (Closes: #884186)
  * Drop B-D on dh-systemd
  * Switch Vcs-* URLs to salsa.d.o
  * Ship NOTICE.txt as required by the Apache License, Version 2.0

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 10 Oct 2018 17:45:23 +0300

=== debian/control ===
Source: puppetdb
Section: admin
Priority: optional
Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
Build-Depends: debhelper (>= 11),
               default-jdk-headless,
               dh-exec,
               javahelper,
               libasm-java,
               libbidi-clojure (>= 2.0.12),
               libcheshire-clojure (>= 5.7.1),
               libclj-digest-clojure (>= 1.4.3),
               libclj-http-clojure (>= 2.0.1),
               libclj-stacktrace-clojure (>= 0.2.6),
               libclj-time-clojure (>= 0.11.0),
               libpantomime-clojure (>= 2.1.0),
               libspecter-clojure (>= 0.5.7),
               libcommons-compress-java (>= 1.10),
               libcommons-lang3-java (>= 3.4),
               libcommons-logging-java,
               libcompojure-clojure (>= 1.5.0),
               libcore-async-clojure (>= 0.2.374),
               libcore-match-clojure,
               libcore-memoize-clojure (>= 0.5.9),
               libdata-priority-map-clojure,
               libfast-zip-visit-clojure (>= 1.0.2),
               libgeronimo-jms-1.1-spec-java,
               libgeronimo-j2ee-management-1.1-spec-java,
               libhikaricp-java (>= 2.4.3),
               libhoneysql-clojure (>= 0.6.3),
               libinstaparse-clojure (>= 1.4.1),
               libjava-jdbc-clojure (>= 0.6.1),
               libjava-jmx-clojure,
               libmath-combinatorics-clojure (>= 0.1.1),
               libmath-numeric-tower-clojure (>= 0.0.4),
               libmetrics-clojure (>= 2.6.1),
               libat-at-clojure (>= 1.2.0),
               libpostgresql-jdbc-java (>= 9.4.1208),
               libprismatic-schema-clojure (>= 1.1.2),
               libcomidi-clojure (>= 0.3.1),
               libdujour-version-check-clojure (>= 0.1.3),
               libpuppetlabs-http-client-clojure (>= 0.5.0),
               libpuppetlabs-i18n-clojure,
               libkitchensink-clojure (>= 1.3.1),
               libstockpile-clojure (>= 0.0.3),
               libtrapperkeeper-clojure,
               libtrapperkeeper-metrics-clojure,
               libtrapperkeeper-status-clojure,
               libtrapperkeeper-webserver-jetty9-clojure,
               libraynes-fs-clojure (>= 1.4.6),
               libring-core-clojure (>= 1.5.0),
               librobert-hooke-clojure (>= 1.3.0),
               libslf4j-java (>= 1.7.14),
               libslingshot-clojure (>= 0.12.2),
               libtools-logging-clojure,
               libtools-macro-clojure (>= 0.1.5),
               libtools-namespace-clojure (>= 0.2.5),
               libversioneer-clojure
Standards-Version: 4.3.0
Homepage: https://github.com/puppetlabs/puppetdb
Vcs-Git: https://salsa.debian.org/puppet-team/puppetdb.git
Vcs-Browser: https://salsa.debian.org/puppet-team/puppetdb

Package: puppetdb
Architecture: all
Depends: adduser,
         dbconfig-pgsql | dbconfig-no-thanks,
         default-jre-headless,
         lsb-base (>= 3.0-6),
         ucf,
         ${java:Depends},
         ${misc:Depends}
Recommends: ${java:Recommends}
Suggests: postgresql, postgresql-contrib, ${java:Suggests}
Description: Puppet data warehouse
 PuppetDB collects data generated by Puppet. It enables advanced Puppet
 features like exported resources, and can be the foundation for other
 applications that use Puppet’s data.
 .
 This package contains the PuppetDB server itself.

Package: puppetdb-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Puppet data warehouse - documentation
 PuppetDB collects data generated by Puppet. It enables advanced Puppet
 features like exported resources, and can be the foundation for other
 applications that use Puppet’s data.
 .
 This package contains PuppetDB's usage and API documentation.

Package: puppet-terminus-puppetdb
Architecture: all
Depends: puppet (>= 4.0.0~), ${misc:Depends}
Enhances: puppet
Description: Puppet data warehouse -- Puppet master terminus
 PuppetDB collects data generated by Puppet. It enables advanced Puppet
 features like exported resources, and can be the foundation for other
 applications that use Puppet’s data.
 .
 This package contains an add-on that allows a Puppet master to use PuppetDB
 for storing and retrieving facts, catalogs and resources.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

PRODUCED_JAR=puppetdb.jar
export CLASSPATH=/usr/share/java/clojure.jar:/usr/share/java/bidi.jar:/usr/share/java/cheshire.jar:/usr/share/java/clj-digest.jar:/usr/share/java/clj-http.jar:/usr/share/java/clj-stacktrace.jar:/usr/share/java/clj-time.jar:/usr/share/java/commons-compress.jar:/usr/share/java/commons-lang3.jar:/usr/share/java/pantomime.jar:/usr/share/java/compojure.jar:/usr/share/java/specter.jar:/usr/share/java/core.async.jar:/usr/share/java/core.match.jar:/usr/share/java/core.memoize.jar:/usr/share/java/fast-zip-visit.jar:/usr/share/java/HikariCP.jar:/usr/share/java/honeysql.jar:/usr/share/java/hooke.jar:/usr/share/java/instaparse.jar:/usr/share/java/java.jdbc.jar:/usr/share/java/math.combinatorics.jar:/usr/share/java/math.numeric-tower.jar:/usr/share/java/metrics-clojure.jar:/usr/share/java/at-at.jar:/usr/share/java/postgresql.jar:/usr/share/java/prismatic-schema.jar:/usr/share/java/puppetlabs-comidi.jar:/usr/share/java/dujour-version-check.jar:/usr/share/java/puppetlabs-http-client.jar:/usr/share/java/puppetlabs-i18n.jar:/usr/share/java/kitchensink.jar:/usr/share/java/stockpile.jar:/usr/share/java/trapperkeeper.jar:/usr/share/java/trapperkeeper-metrics.jar:/usr/share/java/trapperkeeper-status.jar:/usr/share/java/trapperkeeper-webserver-jetty9.jar:/usr/share/java/raynes-fs.jar:/usr/share/java/ring-core.jar:/usr/share/java/slf4j-api.jar:/usr/share/java/slingshot.jar:/usr/share/java/tools.logging.jar:/usr/share/java/tools.macro.jar:/usr/share/java/tools.namespace.jar:/usr/share/java/versioneer.jar:/usr/share/java/data.priority-map.jar:/usr/share/java/asm-all.jar:/usr/share/java/java.jmx.jar:/usr/share/java/geronimo-jms_1.1_spec.jar:/usr/share/java/geronimo-j2ee-management-1.1-spec.jar:/usr/share/java/glassfish-javaee.jar:/usr/share/java/commons-logging.jar

MAVEN_INF=$(CURDIR)/debian/META-INF/maven/puppetlabs/puppetdb
LEIN_INF=$(CURDIR)/debian/META-INF/leiningen/puppetlabs/puppetdb

%:
	dh $@ --with=javahelper

override_dh_clean:
	dh_clean
	rm -f $(CURDIR)/$(PRODUCED_JAR)
	rm -rf $(CURDIR)/debian/META-INF

override_jh_build:
	jar cf $(PRODUCED_JAR) -C src .
	jar uf $(PRODUCED_JAR) -C resources public
	jar uf $(PRODUCED_JAR) -C resources puppetlabs
	jar uf $(PRODUCED_JAR) -C resources/puppetlabs/puppetdb bootstrap.cfg
	mkdir -p $(MAVEN_INF) $(LEIN_INF)
	cp debian/pom.xml $(MAVEN_INF)
	sed -e 's/@VERSION@/$(DEB_VERSION_UPSTREAM)/' debian/pom.properties > $(MAVEN_INF)/pom.properties
	cp project.clj $(LEIN_INF)
	jar uf $(PRODUCED_JAR) -C debian META-INF

override_jh_classpath:
	jh_classpath $(PRODUCED_JAR)

override_dh_install:
	dh_install
	rm $(CURDIR)/debian/puppetdb/etc/puppetdb/conf.d/database.ini
	find $(CURDIR)/debian/puppetdb/etc/puppetdb -type f -exec \
	  sed -i -e 's#/etc/puppetlabs/#/etc/#g' \
		 -e 's#/var/log/puppetlabs/#/var/log/#' \
		 -e 's#/opt/puppetlabs/server/data/puppetdb#/var/lib/puppetdb#g' \
		 {} \;

.PHONY: override_dh_auto_build override_dh_auto_install

=== debian/watch ===
version=3
https://github.com/puppetlabs/puppetdb/tags .*/archive/(.*)\.tar\.gz

## puppetdb 7.12.1

=== docker/Makefile ===
PUPPERWARE_ANALYTICS_STREAM ?= dev
NAMESPACE ?= puppet
git_describe = $(shell git describe)
vcs_ref := $(shell git rev-parse HEAD)
build_date := $(shell date -u +%FT%T)
hadolint_available := $(shell hadolint --help > /dev/null 2>&1; echo $$?)
hadolint_command := hadolint --ignore DL3008 --ignore DL3028
hadolint_container := ghcr.io/hadolint/hadolint:latest
export BUNDLE_PATH = $(PWD)/.bundle/gems
export BUNDLE_BIN = $(PWD)/.bundle/bin
export GEMFILE = $(PWD)/Gemfile
export DOCKER_BUILDKIT ?= 1
export PUPPETSERVER_IMAGE ?= puppet/puppetserver:edge

ifeq ($(IS_RELEASE),true)
	VERSION ?= $(shell echo $(git_describe) | sed 's/-.*//')
	# to work around failures that occur between when the repo is tagged and when the package
	# is actually shipped, see if this version exists in dujour
	PUBLISHED_VERSION ?= $(shell curl --silent 'https://updates.puppetlabs.com/?product=puppetdb&version=$(VERSION)' | jq '."version"' | tr -d '"')
	# For our containers built from packages, we want those to be built once then never changed
	# so check to see if that container already exists on dockerhub
	CONTAINER_EXISTS = $(shell DOCKER_CLI_EXPERIMENTAL=enabled docker manifest inspect $(NAMESPACE)/puppetdb:$(VERSION) > /dev/null 2>&1; echo $$?)
ifeq ($(CONTAINER_EXISTS),0)
	SKIP_BUILD ?= true
else ifneq ($(VERSION),$(PUBLISHED_VERSION))
	SKIP_BUILD ?= true
endif

	BUILD_TYPE ?= release
	LATEST_VERSION ?= latest
else
	BUILD_TYPE ?= edge
	VERSION ?= edge
	IS_LATEST := false
endif

prep:
	@git fetch --unshallow 2> /dev/null ||:
	@git fetch origin 'refs/tags/*:refs/tags/*'
ifeq ($(SKIP_BUILD),true)
	@echo "SKIP_BUILD is true, exiting with 1"
	@exit 1
endif

lint:
ifeq ($(hadolint_available),0)
	@$(hadolint_command) puppetdb/Dockerfile
else
	@docker pull $(hadolint_container)
	@docker run --rm -v $(PWD)/puppetdb/Dockerfile:/Dockerfile \
		-i $(hadolint_container) $(hadolint_command) Dockerfile
endif

build: prep
	docker buildx build \
		${DOCKER_BUILD_FLAGS} \
		--load \
		--pull \
		--build-arg build_type=$(BUILD_TYPE) \
		--build-arg vcs_ref=$(vcs_ref) \
		--build-arg build_date=$(build_date) \
		--build-arg version=$(VERSION) \
		--build-arg pupperware_analytics_stream=$(PUPPERWARE_ANALYTICS_STREAM) \
		--file puppetdb/Dockerfile \
		--tag $(NAMESPACE)/puppetdb:$(VERSION) \
		$(PWD)/..
ifeq ($(IS_LATEST),true)
	@docker tag $(NAMESPACE)/puppetdb:$(VERSION) $(NAMESPACE)/puppetdb:$(LATEST_VERSION)
endif

test: prep
	@bundle install --path $$BUNDLE_PATH --gemfile $$GEMFILE --with test
	@bundle update
	@PUPPET_TEST_DOCKER_IMAGE=$(NAMESPACE)/puppetdb:$(VERSION) \
		bundle exec --gemfile $$GEMFILE rspec spec

push-image: prep
	@docker push puppet/puppetdb:$(VERSION)
ifeq ($(IS_LATEST),true)
	@docker push puppet/puppetdb:$(LATEST_VERSION)
endif

push-readme:
	@docker pull sheogorath/readme-to-dockerhub
	@docker run --rm \
		-v $(PWD)/README.md:/data/README.md \
		-e DOCKERHUB_USERNAME="$(DOCKERHUB_USERNAME)" \
		-e DOCKERHUB_PASSWORD="$(DOCKERHUB_PASSWORD)" \
		-e DOCKERHUB_REPO_PREFIX=puppet \
		-e DOCKERHUB_REPO_NAME=puppetdb \
		sheogorath/readme-to-dockerhub

publish: push-image push-readme

.PHONY: prep lint build test publish push-image push-readme

=== debian/changelog ===
puppetdb (7.12.1-3) unstable; urgency=medium

  * fix FTBFS from bogus versions in dependency poms
  * remove nrepl library requirement
  * d/tests: capture puppetserver logs in test artifacts
  * only restart on abormal failure conditions

 -- Jérôme Charaoui <jerome@riseup.net>  Wed, 08 Feb 2023 18:58:45 -0500

puppetdb (7.12.1-2) unstable; urgency=medium

  * fix piuparts error

 -- Jérôme Charaoui <jerome@riseup.net>  Mon, 30 Jan 2023 09:09:35 -0500

puppetdb (7.12.1-1) unstable; urgency=medium

  * New upstream version 7.12.1
  * systemd service unit changes
    + don't enable systemd service unit at installation
    + sync service manager with app internal state
    + add longer startup timeout for service unit
    + timeout ExecReload after 60 seconds
  * puppetdb script changes:
    + rework puppetdb script binary
    + add ssl-setup subcommand to puppetdb script
  * maintscript changes:
    + setup read-only puppetdb user on install or upgrade
    + ensure dbconfig read-only database user is removed
  * d/control:
    + update package descriptions
    + fix Build-Deps incorrectly flagged as test-only
    + update puppet-terminus-puppetdb depends
    + bump Standards-Version, no changes needed
    - lsb-base is no longer needed
  * d/tests
    + re-enable puppetserver integration test
    + start puppetdb in standalone test
    + test puppetdb binary and reloading service
  * d/patches:
    + exclude docs and config examples from jar
    + fix log file paths
    + puppetdb may already be running on testbed
    + add test for resource export/collection
  * update README.Debian

 -- Jérôme Charaoui <jerome@riseup.net>  Sun, 29 Jan 2023 10:56:42 -0500

puppetdb (7.12.0-1) unstable; urgency=medium

  * New upstream version 7.12.0
  * d/control: switch back binary dep to default JRE (Closes: #1026163)
  * d/control: bump honeysql dependency to v2
  * d/patches: refresh patches for new upstream version

 -- Jérôme Charaoui <jerome@riseup.net>  Thu, 12 Jan 2023 10:57:15 -0500

puppetdb (7.11.2-3) unstable; urgency=medium

  * d/control: mark puppetdb-doc as M-A: foreign
  * Security issues fixed in 7.x series: CVE-2020-7943, CVE-2021-27019,
    CVE-2021-27021, CVE-2021-27023

 -- Jérôme Charaoui <jerome@riseup.net>  Sun, 27 Nov 2022 14:18:55 -0500

puppetdb (7.11.2-2) unstable; urgency=medium

  * Upload to unstable
  * d/patches: add patch to avoid lein error due to java 17
  * d/patches: add patch for postgresql-15 compatibility
  * d/source/lintian-override: fix lintian false positive

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 25 Nov 2022 08:43:43 -0500

puppetdb (7.11.2-1) experimental; urgency=medium

  * New upstream version 7.11.2
  * d/patches: rebase patches
  * d/rules: determine pgsql version automatically
  * run testsuite with pgsql-14 temporarily, no pgsql-15 support yet

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 21 Oct 2022 09:42:42 -0400

puppetdb (7.10.1-1) experimental; urgency=medium

  * New upstream version 7.10.1 (Closes: #990419, #1012577)
  * Switch d/watch to git mode
  * Switch to leiningen build system
  * Fix upstream build tests
  * d/patches:
    - Refresh patches
    - Add patch to replace not-packaged yaml.core in tests
    - new patch to adjust paths in config.ini
    - Reorder patch, put Lein Local first
    - Prevent failure of disable-update-checking test
  * d/control:
    - update Build-Deps
    - bump minimum versions for 2 dependencies
    - add myself to Uploaders
    - tag test-specific Build-Deps
    - bump debhelper-compat to 13
    - fix dependency loop caused by #929685
  * d/rules:
    - fix installation of jar file
    - fix installation of database.ini
  * d/tests:
    - avoid test failure when logfile is missing
    - abort if puppetdb.service enters failed state
    - add Restrictions: isolation-container
    - disable puppet integration test for now
  * d/copyright:
    - add separate Apache-2.0 license stanza
    - add myself to debian/* copyright
    - add paragraph for new js source code
    - add missing license texts
  * Run wrap-and-sort -bastk
  * Bump Standards-Version to 4.6.1, no changes needed
  * Remove StandardOutput=syslog from service unit
  * Add d/upstream/metadata

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 15 Jul 2022 17:57:36 -0400

puppetdb (6.2.0-4) unstable; urgency=medium

  * Make PDB schema bootstrappable with PostgreSQL 11.4 (Closes: #932135)
  * Bump Standards-Version to 4.4.0; no changes needed
  * Bump dh compat to 12
    + Pre-Depend on ${misc:Pre-Depends} to allow dh to inject pre-dependency
      on init-system-helpers

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 16 Jul 2019 21:02:45 -0300

=== debian/control ===
Source: puppetdb
Section: admin
Priority: optional
Maintainer: Puppet Package Maintainers <pkg-puppet-devel@lists.alioth.debian.org>
Uploaders:
 Apollon Oikonomopoulos <apoikos@debian.org>,
 Jérôme Charaoui <jerome@riseup.net>,
Build-Depends:
 debhelper-compat (= 13),
 default-jdk-headless,
 dh-exec,
 javahelper,
 leiningen,
 libasm-java,
 libat-at-clojure (>= 1.2.0),
 libbidi-clojure (>= 2.1.6-2),
 libcheshire-clojure (>= 5.11.0-2),
 libclj-digest-clojure (>= 1.4.3),
 libclj-http-clojure (>= 2.0.1),
 libclj-stacktrace-clojure (>= 0.2.6),
 libclj-time-clojure (>= 0.11.0),
 libcomidi-clojure (>= 0.3.1),
 libcommons-io-java,
 libcommons-lang3-java (>= 3.4),
 libcommons-logging-java,
 libcompojure-clojure (>= 1.5.0),
 libcore-async-clojure (>= 0.2.374),
 libcore-match-clojure,
 libcore-memoize-clojure (>= 0.5.9),
 libdata-priority-map-clojure,
 libdujour-version-check-clojure (>= 0.1.3),
 libdynapath-clojure,
 libfast-zip-visit-clojure (>= 1.0.2),
 libgeronimo-j2ee-management-1.1-spec-java,
 libgeronimo-jms-1.1-spec-java,
 libhikaricp-java (>= 2.4.3),
 libhoneysql-clojure (>= 2.3.911),
 libinstaparse-clojure (>= 1.4.1),
 libjava-jdbc-clojure (>= 0.6.1),
 libjava-jmx-clojure,
 libkitchensink-clojure (>= 3.2.0),
 liblogstash-logback-encoder-java,
 libmath-combinatorics-clojure (>= 0.1.1),
 libmetrics-clojure (>= 2.6.1),
 libmurphy-clojure,
 libnippy-clojure,
 libnrepl-clojure,
 libpostgresql-jdbc-java (>= 9.4.1208),
 libpuppetlabs-i18n-clojure (>= 0.9.2-2),
 libraynes-fs-clojure (>= 1.4.6),
 libring-core-clojure (>= 1.8.2-2),
 librobert-hooke-clojure (>= 1.3.0),
 libslf4j-java (>= 1.7.14),
 libspecter-clojure (>= 0.5.7),
 libstockpile-clojure (>= 0.0.3),
 libstructured-logging-clojure (>= 0.2.0-4),
 libtest-chuck-clojure,
 libtools-logging-clojure,
 libtools-macro-clojure (>= 0.1.5),
 libtools-namespace-clojure (>= 0.2.5),
 libtrapperkeeper-authorization-clojure (>= 1.0.0-3),
 libtrapperkeeper-clojure (>= 3.2.0-2),
 libtrapperkeeper-metrics-clojure (>= 1.5.0-4),
 libtrapperkeeper-status-clojure (>= 1.1.1-3),
 libtrapperkeeper-webserver-jetty9-clojure (>= 4.4.1-4),
 libversioneer-clojure,
 maven-repo-helper,
 postgresql <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://github.com/puppetlabs/puppetdb
Vcs-Git: https://salsa.debian.org/puppet-team/puppetdb.git
Vcs-Browser: https://salsa.debian.org/puppet-team/puppetdb

Package: puppetdb
Architecture: all
Depends:
 adduser,
 dbconfig-pgsql | dbconfig-no-thanks,
 default-jre-headless,
 libtrapperkeeper-clojure (>= 3.2.0-2),
 ucf,
 ${java:Depends},
 ${misc:Depends},
Recommends:
 ${java:Recommends},
Pre-Depends:
 ${misc:Pre-Depends},
Suggests:
 postgresql,
 postgresql-contrib,
 libnippy-clojure,
 ${java:Suggests},
Description: Puppet-integrated catalog and fact storage
 PuppetDB collects data generated by Puppet. It enables advanced Puppet
 features like exported resources, and can be the foundation for other
 applications that use Puppet’s data.
 .
 This package contains the PuppetDB server itself.

Package: puppet-terminus-puppetdb
Architecture: all
Depends:
 puppet-agent (>= 7.21.0~),
 ${misc:Depends},
Enhances:
 puppet,
Description: Puppet-integrated catalog and fact storage - Puppet Server terminus
 PuppetDB collects data generated by Puppet. It enables advanced Puppet
 features like exported resources, and can be the foundation for other
 applications that use Puppet’s data.
 .
 This package contains an add-on that allows a Puppet Server to use PuppetDB
 for storing and retrieving facts, catalogs and resources.

Package: puppetdb-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
Description: Puppet-integrated catalog and fact storage - documentation
 PuppetDB collects data generated by Puppet. It enables advanced Puppet
 features like exported resources, and can be the foundation for other
 applications that use Puppet’s data.
 .
 This package contains PuppetDB's usage and API documentation.

=== debian/tests/control ===
Tests: standalone
Depends:
 curl,
 jq,
 postgresql-contrib,
 puppetdb,
Restrictions: needs-root, isolation-container

Tests: with-puppetserver
Depends:
 augeas-tools,
 curl,
 jq,
 postgresql-contrib,
 puppet-module-puppetlabs-host-core,
 puppet-terminus-puppetdb,
 puppetdb,
 puppetserver,
Restrictions: needs-root, isolation-container

=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/puppetlabs/puppetdb.git \
refs/tags/([\d\.]+)

## puppetdb 8.4.1

=== debian/changelog ===
puppetdb (8.4.1-3) unstable; urgency=medium

  * d/patches: add patch to fix tests with pgsql 17 (Closes: #1084038)
    Thanks to Rob Browning for providing this patch.

 -- Jérôme Charaoui <jerome@riseup.net>  Sat, 23 Nov 2024 22:34:12 -0500

puppetdb (8.4.1-2) unstable; urgency=medium

  * remove obsolete logrotate config on upgrade (Closes: #941080)
  * d/control: add Rules-Requires-Root: no
  * d/control: bump Standards-Version, no changes needed
  * d/tests: add allow-stderr to restrictions (Closes: #1077976)

 -- Jérôme Charaoui <jerome@riseup.net>  Fri, 30 Aug 2024 12:32:52 -0400

puppetdb (8.4.1-1) unstable; urgency=medium

  * New upstream version 8.4.1 (Closes: #1062330, #1064677)
  * d/control:
    + add lower/upper bounds to puppet dependency
    + update build dependencies
    + add new test dependencies
    + mark test.chuck build-dep as test-only
    + terminus add-on Enhances: puppetserver
  * d/patches:
    + refresh patches for new upstream version
    + add patch to downgrade to jetty9
    + skip new failing testcase
    + add patch to resolve ftbfs with java 21 (Closes: #1057678)
    + mark nrepl removal as not-needed upstream
  * d/tests:
    + adjust dependencies
    + switch to structured facts
    - drop host-core module from autopkgtest deps

 -- Jérôme Charaoui <jerome@riseup.net>  Sun, 31 Mar 2024 15:00:20 -0400

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  Apollon Oikonomopoulos <apoikos@debian.org>,
  Jérôme Charaoui <jerome@riseup.net>,
 Build-Depends:
+ curl <!nocheck>,
  debhelper-compat (= 13),
  default-jdk-headless,
  dh-exec,
@@ -16,9 +17,10 @@
  libbidi-clojure (>= 2.1.6-2),
  libcheshire-clojure (>= 5.11.0-2),
  libclj-digest-clojure (>= 1.4.3),
- libclj-http-clojure (>= 2.0.1),
+ libclj-http-clojure (>= 3.12.3),
  libclj-stacktrace-clojure (>= 0.2.6),
  libclj-time-clojure (>= 0.11.0),
+ libclj-yaml-clojure <!nocheck>,
  libcomidi-clojure (>= 0.3.1),
  libcommons-io-java,
  libcommons-lang3-java (>= 3.4),
@@ -27,10 +29,11 @@
  libcore-async-clojure (>= 0.2.374),
  libcore-match-clojure,
  libcore-memoize-clojure (>= 0.5.9),
+ libdata-generators-clojure,
  libdata-priority-map-clojure,
  libdujour-version-check-clojure (>= 0.1.3),
  libdynapath-clojure,
- libfast-zip-visit-clojure (>= 1.0.2),
+ libfast-zip-clojure,
  libgeronimo-j2ee-management-1.1-spec-java,
  libgeronimo-jms-1.1-spec-java,
  libhikaricp-java (>= 2.4.3),
@@ -52,9 +55,10 @@
  librobert-hooke-clojure (>= 1.3.0),
  libslf4j-java (>= 1.7.14),
  libspecter-clojure (>= 0.5.7),
+ libssl-utils-clojure,
  libstockpile-clojure (>= 0.0.3),
  libstructured-logging-clojure (>= 0.2.0-4),
- libtest-chuck-clojure,
+ libtest-chuck-clojure <!nocheck>,
  libtools-logging-clojure,
  libtools-macro-clojure (>= 0.1.5),
  libtools-namespace-clojure (>= 0.2.5),
@@ -64,12 +68,14 @@
  libtrapperkeeper-status-clojure (>= 1.1.1-3),
  libtrapperkeeper-webserver-jetty9-clojure (>= 4.4.1-4),
  libversioneer-clojure,
+ libyaml-snake-java <!nocheck>,
  maven-repo-helper,
  postgresql <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/puppetlabs/puppetdb
 Vcs-Git: https://salsa.debian.org/puppet-team/puppetdb.git
 Vcs-Browser: https://salsa.debian.org/puppet-team/puppetdb
+Rules-Requires-Root: no
 
 Package: puppetdb
 Architecture: all
@@ -100,10 +106,11 @@
 Package: puppet-terminus-puppetdb
 Architecture: all
 Depends:
- puppet-agent (>= 7.21.0~),
+ puppet-agent (>= 8~~),
+ puppet-agent (<< 9~~),
  ${misc:Depends},
 Enhances:
- puppet,
+ puppetserver,
 Description: Puppet-integrated catalog and fact storage - Puppet Server terminus
  PuppetDB collects data generated by Puppet. It enables advanced Puppet
  features like exported resources, and can be the foundation for other

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

include /usr/share/javahelper/java-vars.mk
include /usr/share/dpkg/pkg-info.mk

export LEIN_HOME=$(CURDIR)/.lein
export LEIN_OFFLINE=true
NAME=puppetdb

%:
	dh $@ --with=javahelper --with maven_repo_helper

override_dh_auto_configure:
	cd debian && ln -sf /usr/share/maven-repo .

override_dh_auto_build:
	lein pom debian/pom.xml
	lein jar
	cd target && mv $(NAME)-$(DEB_VERSION_UPSTREAM).jar $(NAME).jar

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	export pg_ver=$$(/usr/share/postgresql-common/supported-versions --installed); \
	export PATH=$$PATH:$(CURDIR)/debian/bin && \
	./ext/bin/with-pdbbox \
		--box $$(mktemp -d "core-test-XXXXXX")/box \
		--pgbin /usr/lib/postgresql/$$pg_ver/bin \
		--pgport 5432 \
		-- lein test
endif

execute_after_dh_install:
	rm debian/puppetdb/etc/puppetdb/conf.d/database.ini

override_dh_installsystemd:
	dh_installsystemd --no-enable

override_dh_clean:
	rm -f debian/maven-repo
	rm -Rf target
	rm -f debian/pom.xml
	dh_clean

## puppetdb 8.8.1

=== util/pdb/requirements.txt ===
requests
ijson
grequests

=== debian/changelog ===
puppetdb (8.8.1-1~exp1) unstable; urgency=medium

  * New upstream version 8.8.1
  * d/control: update dependencies and classpath
  * d/patches: drop patches obsolete or merged upstream
  * d/patches: refresh patches for new upstream version

 -- Jérôme Charaoui <jerome@riseup.net>  Sat, 19 Apr 2025 21:16:09 -0400

puppetdb (8.4.1-4) unstable; urgency=medium

  * d/copyright: fix old fsf address
  * d/control: bump libpostgresql-jdbc-java
  * d/control: bump Standards-Version, no changes needed
  * d/patches: add script to regenerate pki used in tests (Closes: #1091504)
  * d/rules: improve clean target (Closes: #1047455)
  * d/tests: fix running tests in a container

 -- Jérôme Charaoui <jerome@riseup.net>  Sat, 19 Apr 2025 19:59:53 -0400

=== debian/control ===
--- 
+++ 
@@ -46,9 +46,11 @@
  libmath-combinatorics-clojure (>= 0.1.1),
  libmetrics-clojure (>= 2.6.1),
  libmurphy-clojure,
+ libnext-jdbc-clojure,
  libnippy-clojure,
  libnrepl-clojure,
- libpostgresql-jdbc-java (>= 9.4.1208),
+ libpostgresql-jdbc-java (>= 42.7.5-2),
+ libpuppetlabs-ring-middleware-clojure (>> 2.0.4),
  libpuppetlabs-i18n-clojure (>= 0.9.2-2),
  libraynes-fs-clojure (>= 1.4.6),
  libring-core-clojure (>= 1.8.2-2),
@@ -59,6 +61,7 @@
  libstockpile-clojure (>= 0.0.3),
  libstructured-logging-clojure (>= 0.2.0-4),
  libtest-chuck-clojure <!nocheck>,
+ libtools-cli-clojure (>= 1.0.206),
  libtools-logging-clojure,
  libtools-macro-clojure (>= 0.1.5),
  libtools-namespace-clojure (>= 0.2.5),
@@ -71,7 +74,9 @@
  libyaml-snake-java <!nocheck>,
  maven-repo-helper,
  postgresql <!nocheck>,
-Standards-Version: 4.7.0
+ ruby <!nocheck>,
+ ruby-puppetserver-ca-cli <!nocheck>,
+Standards-Version: 4.7.2
 Homepage: https://github.com/puppetlabs/puppetdb
 Vcs-Git: https://salsa.debian.org/puppet-team/puppetdb.git
 Vcs-Browser: https://salsa.debian.org/puppet-team/puppetdb
@@ -83,6 +88,7 @@
  adduser,
  dbconfig-pgsql | dbconfig-no-thanks,
  default-jre-headless,
+ libpostgresql-jdbc-java (>= 42.7.5-2),
  libtrapperkeeper-clojure (>= 3.2.0-2),
  ucf,
  ${java:Depends},

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,9 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	cd test-resources && ( for f in ca.pem localhost.pem localhost.key; do mv $${f} $${f}.clean; done )
+	mv test-resources/puppetserver/ssl test-resources/puppetserver/ssl.clean
+	ruby test-resources/regen_certs.rb
 	export pg_ver=$$(/usr/share/postgresql-common/supported-versions --installed); \
 	export PATH=$$PATH:$(CURDIR)/debian/bin && \
 	./ext/bin/with-pdbbox \
@@ -39,7 +42,9 @@
 	dh_installsystemd --no-enable
 
 override_dh_clean:
-	rm -f debian/maven-repo
-	rm -Rf target
-	rm -f debian/pom.xml
+	rm -f debian/maven-repo debian/pom.xml
+	rm -Rf .lein .lein-failures core-test-?????? target
+	-cd test-resources && ( for f in ca.pem localhost.pem localhost.key; do test -f $${f}.clean && mv $${f}.clean $${f} || true; done )
+	-test -d test-resources/puppetserver/ssl.clean && \
+		( rm -rf test-resources/puppetserver/ssl; mv test-resources/puppetserver/ssl.clean test-resources/puppetserver/ssl )
 	dh_clean

=== debian/tests/control ===
Tests: standalone
Depends:
 @,
 curl,
 jq,
 postgresql-contrib,
Restrictions: needs-root, isolation-container, allow-stderr

Tests: with-puppetserver
Depends:
 @,
 augeas-tools,
 curl,
 jq,
 postgresql-contrib,
 puppet-terminus-puppetdb (>= 8~~),
 puppetserver,
Restrictions: needs-root, isolation-container, allow-stderr
